Package org.apache.sling.feature.cpconverter.handlers.slinginitialcontent

## Class DocViewTreeNode

- java.lang.Object
- - org.apache.sling.feature.cpconverter.handlers.slinginitialcontent.DocViewTreeNode

    public class DocViewTreeNode
    extends Object

Represents a serializable docview node inside a tree hierarchy.

### Constructor Summary

Constructors
`DocViewTreeNode​(String parentPath, org.apache.jackrabbit.spi.Name name, Collection<org.apache.jackrabbit.vault.util.DocViewProperty2> properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChild​(DocViewTreeNode child)`
`String` `getPath​(org.apache.jackrabbit.spi.commons.conversion.NameResolver nameResolver)`
`Collection<org.apache.jackrabbit.vault.util.DocViewProperty2>` `getProperties()`
`void` `write​(XMLStreamWriter writer, org.apache.jackrabbit.spi.commons.namespace.NamespaceResolver nsResolver, Iterable<String> nsPrefixes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocViewTreeNode

    public DocViewTreeNode​(String parentPath,
                           org.apache.jackrabbit.spi.Name name,
                           Collection<org.apache.jackrabbit.vault.util.DocViewProperty2> properties)

### Method Detail

#### addChild

    public void addChild​(DocViewTreeNode child)

#### write

    public void write​(XMLStreamWriter writer,
                      org.apache.jackrabbit.spi.commons.namespace.NamespaceResolver nsResolver,
                      Iterable<String> nsPrefixes)
               throws javax.jcr.NamespaceException,
                      XMLStreamException

Throws:
  `javax.jcr.NamespaceException`
  `XMLStreamException`

#### getProperties

    public Collection<org.apache.jackrabbit.vault.util.DocViewProperty2> getProperties()

#### getPath

    public String getPath​(org.apache.jackrabbit.spi.commons.conversion.NameResolver nameResolver)
                   throws javax.jcr.NamespaceException

Parameters:
  `nameResolver` -
Returns:
  the absolute JCR path (in qualified form) of the node represented by this class
Throws:
  `javax.jcr.NamespaceException`